<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::create('user_feedbacks', function (Blueprint $table) {
            $table->comment('用户反馈');
            $table->increments('id');
            $table->unsignedBigInteger('owner_id')->comment('用户编号');
            $table->string('owner_type')->comment('用户类型');
            $table->text('content')->comment('反馈内容');
            $table->string('state')->default('enable')->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    public function down()
    {
        Schema::dropIfExists('user_feedbacks');
    }
}; 